Package com.logicaldoc.core.security.spring

# Class SessionFilter

java.lang.Object
org.springframework.web.filter.GenericFilterBean
com.logicaldoc.core.security.spring.SessionFilter

All Implemented Interfaces:
  `jakarta.servlet.Filter`, `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanNameAware`, `org.springframework.beans.factory.DisposableBean`, `org.springframework.beans.factory.InitializingBean`, `org.springframework.context.EnvironmentAware`, `org.springframework.core.env.EnvironmentCapable`, `org.springframework.web.context.ServletContextAware`

public class SessionFilter extends org.springframework.web.filter.GenericFilterBean
This filter looks for a sid parameter in the request or X-API-KEY header and auto-authenticate the user.

Since:
  8.1.1
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`SessionFilter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doFilter(jakarta.servlet.ServletRequest rec, jakarta.servlet.ServletResponse res, jakarta.servlet.FilterChain chain)`

### Methods inherited from class org.springframework.web.filter.GenericFilterBean

`afterPropertiesSet, destroy, getEnvironment, getFilterConfig, init, setBeanName, setEnvironment, setServletContext`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SessionFilter

public SessionFilter()

## Method Details

### doFilter

public void doFilter(jakarta.servlet.ServletRequest rec, jakarta.servlet.ServletResponse res, jakarta.servlet.FilterChain chain) throws IOException, jakarta.servlet.ServletException

Throws:
  `IOException`
  `jakarta.servlet.ServletException`